import AddChore from "@/components/pages/todos/AddChore";
import ProgressCard from "@/components/pages/todos/ProgressCard";
import ToDoItem from "@/components/pages/todos/ToDoItem";
import ToDosList from "@/components/pages/todos/ToDosList";
import HeaderTemplate from "@/components/shared/HeaderTemplate";
import { useAuthContext } from "@/contexts/AuthContext";
import { ToDosContextProvider, useToDosContext } from "@/contexts/ToDosContext";
import { AntDesign } from "@expo/vector-icons";
import { ScrollView } from "react-native-gesture-handler";
import { Button, ButtonSize, View } from "react-native-ui-lib";

export default function Screen() {
  return (
    <ToDosContextProvider>
      <ScrollView>
        <View backgroundColor="#f9f8f7">
          <HeaderTemplate message="Here are your To Do's" isWelcome={true} />
          <ProgressCard />
          <ToDosList />
        </View>
      </ScrollView>
      <AddChore />
    </ToDosContextProvider>
  );
}
