import { StyleSheet, View } from "react-native";
import React from "react";
import { Text, Button } from "react-native-ui-lib";

interface ButtonProps {
  title: string;
  size: keyof typeof Button.sizes;
  onPress: () => void;
}

const ButtonOutlined = (props: ButtonProps) => {
  const { size, onPress, title } = props;
  return (
    <Button style={styles.button} size={size} onPress={onPress} avoidMinWidth>
      <Text text80L style={styles.buttonText}>
        {title}
      </Text>
    </Button>
  );
};
export default ButtonOutlined;
const styles = StyleSheet.create({
  button: {
    backgroundColor: "white",
    color: "black",
    borderColor: "lightgray",
    borderWidth: 1,
    borderRadius: 5,
    padding: 0,
    marginHorizontal: 0
  },
  buttonText: {
  },
});
